/*
 * zss jsp objects
 */
(function () {
	zssjsp.JsonUpdateBridge = zk.$extends(zk.Object, {
		_jsFieldName:"_zssjspjs",
		$init: function (jsFieldName) {
			if(jsFieldName){
				this._jsFieldName = jsFieldName;
			}
		},
		process: function(jsonresult){
			if(jsonresult[this._jsFieldName]){
				eval(jsonresult[this._jsFieldName]);
			}
		}
	});
	
	zssjsp.processJson = function(jsonresult){
		new zssjsp.JsonUpdateBridge().process(jsonresult);
	}
})();

